Summary: LaTeX support for the jade tex backend 
name: jadetex
version: 0.51
release: 2
requires: tetex
vendor: Cygnus Solutions
Copyright: Copyright (C) 1995,1996,1997 Sebastian Rahtz <s.rahtz@elsevier.co.uk>
Distribution: Cygnus UNSUPPORTED Internal SGML Tools
%define ctan ftp.duke.edu:/tex-archive
# source0: %{CTAN}/macros/jadetex.tar.gz
# source1: %{CTAN}/macros/latex/contrib/supported/hyperref.tar.gz
# patch: jadetex-0.49-0.50.patch
# patch1: jadetex-0.50-0.51.patch
source0: jadetex.tgz
source1: hyperref.tgz
Group: Applications/Publishing/TeX
BuildRoot: /tmp/jadetexroot

%ifos solaris
# these are local hacks for a particular system; you don't want them
%define HTEX /usr/unsupported/share/texmf/tex/latex
%define WTEX /usr/unsupported/share/texmf/web2c
%define BTEX /usr/unsupported/bin
%else
# these are real
%define HTEX /usr/lib/texmf/texmf/tex/latex/
%define WTEX /usr/lib/texmf/texmf/web2c
%define BTEX /usr/lib/texmf/bin/i586-linux
%endif

%description
  jadetex is the addition support needed to crunch jade output 
as LaTeX files.  It includes jadetex 0.51 and hyperref 5.0.

%prep
%setup -c -b1

%build
cd jadetex
latex jadetex.ins
initex \&latex jadetex.ltx '\dump'
cd ../hyperref
latex hyperref.ins

%install
# install jadetex
mkdir -p $RPM_BUILD_ROOT%{WTEX}
mv jadetex/jadetex.fmt $RPM_BUILD_ROOT%{WTEX}/jadetex.fmt
mkdir -p $RPM_BUILD_ROOT%{BTEX}
ln -s virtex $RPM_BUILD_ROOT%{BTEX}/jadetex
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -s %{BTEX}/jadetex $RPM_BUILD_ROOT/usr/bin/jadetex
# install hyperref
mkdir -p $RPM_BUILD_ROOT%{HTEX}/hyperref
mv hyperref/*.sty hyperref/*.cfg $RPM_BUILD_ROOT%{HTEX}/hyperref/

%post
# let the system know about it!
texhash

%files
%{WTEX}/jadetex.fmt
%{BTEX}/jadetex
%{HTEX}/hyperref/*
/usr/bin/jadetex
